import 'package:flutter/material.dart';
import 'package:senior_design_tokens/senior_design_tokens.dart';
import 'package:senior_design_system/senior_design_system.dart';
import '../page_wrapper.dart';
import '../panel.dart';

class InfoCardExample extends StatelessWidget {
  final int _yesterday = 248;
  final int _deliveries = 25;
  final int _orders = 32;

  const InfoCardExample({ Key? key }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return PageWrapper(
      title: 'Info Card Example',
      content: SingleChildScrollView(
        child: Padding(
          padding: const EdgeInsets.all(16.0),
          child: Column(
            crossAxisAlignment: CrossAxisAlignment.stretch,
            children: [
              Panel(
                title: 'Normal',
                content: Center(
                  child: SeniorInfoCard(
                    label: 'Ontem',
                    value: '$_yesterday',
                    severityColor: SeniorColors.manchesterColorBlue,
                  ),
                ),
              ),
              Panel(
                title: 'Cards em linha',
                content: Row(
                  mainAxisAlignment: MainAxisAlignment.center,
                  children: [
                    SeniorInfoCard(
                      label: 'Pedidos',
                      value: '$_orders',
                      severityColor: SeniorColors.manchesterColorOrange,
                    ),
                    SeniorInfoCard(
                      label: 'Entregas',
                      value: '$_deliveries',
                      severityColor: SeniorColors.manchesterColorGreen,
                    ),
                  ],
                ),
              ),
              Panel(
                title: 'Card com máxima largura',
                content: SeniorInfoCard(
                  label: 'Pendentes',
                  value: '${_orders - _deliveries}',
                  severityColor: SeniorColors.manchesterColorBlue,
                  fullLength: true,
                ),
              ),
            ],
          ),
        ),
      ),
    );
  }
}
