# SeniorTopBarPage class

Widget do tipo top bar com um texto como título e que segue as definições do Senior Design System.

## Herança

Object > DiagnosticableTree > Widget > __StatelessWidget__ (implements __PreferredSizeWidget__)

## Construtores

* SeniorTopBarPage({
    Key? key,
    required String title,
    required SeniorTopBarAction leading,
    required List<SeniorTopBarAction> actions,
})

## Propriedades

| Property     | Type                       | Description                                               | Required | Default |
| ------------ | -------------------------- | --------------------------------------------------------- | -------- | ------- |
| key          | Key                        | Controla como um widget substitui outro widget na árvore. | Não      |         |
| title        | String                     | Título apresentado no top bar.                            | Sim      |         |
| leading      | SeniorTopBarAction         | Botão de ação disponível à esquerda.                      | Sim      |         |
| actions      | List< SeniorTopBarAction > | Botões de ação disponíveis à direita.                     | Sim      |         |

## Código

### SeniorTopBarPage

```dart
SeniorTopBarPage(
    title: 'Demonstração',
    actions: [
        SeniorTopBarAction(
            icon: FontAwesomeIcons.heart,
            onPressed: () {},
        ),
        SeniorTopBarAction(
            icon: FontAwesomeIcons.search,
            onPressed: () {},
        ),
        SeniorTopBarAction(
            icon: FontAwesomeIcons.ellipsisV,
            onPressed: () {},
        ),
    ],
    leading: SeniorTopBarAction(
        icon: FontAwesomeIcons.bars,
        onPressed: () {},
        tooltip: 'Abre o menu',
    ),
)
```